Bug 243953 - xsane wont talk to scanner but it detects it
xsane wont talk to scanner but it detects it
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
: 244155 245825 249326 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 18:39 EDT by David
Modified: 2007-11-30 17:12 EST (History)
13 users (show)

See Also:
Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 10:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt from /var/log/messages, booting with kernel 2.6.22.1-33.fc7 (47.06 KB, text/plain)
2007-07-25 15:24 EDT, Jobst Hoffmann
no flags Details

  None (edit)
Description David 2007-06-12 18:39:51 EDT
Description of problem:
xsane wont scan on F7.  My scanner (usb) works perfectly on the same machine
running FC6.  Updated to F7 and it detects the scanner (name and usb details) on
startup.  When you try to scan the scanner does nothing and the program behaves
like its getting data (the bar moves slowly), but the result is a empty black
screen.

Version-Release number of selected component (if applicable):
Current version

How reproducible:
Completely it does not work

Steps to Reproduce:
1.Start xsane
2.Try to scan
3.
  
Actual results:
No scan

Expected results:
You get a scanned image

Additional info:
No selinux AVC messages

My scanner is detected by F7
[root@three ~]# lsusb
Bus 003 Device 002: ID 046d:08b2 Logitech, Inc. QuickCam Pro 4000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 002: ID 045e:00db Microsoft Corp.
Bus 002 Device 001: ID 0000:0000
Bus 004 Device 002: ID 03f0:2e17 Hewlett-Packard
Bus 004 Device 001: ID 0000:0000
Bus 001 Device 003: ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30
Bus 001 Device 001: ID 0000:0000
Comment 1 Nils Philippsen 2007-06-13 03:15:25 EDT
Please get the latest FC6 kernel:

http://redhat.download.fedoraproject.org/pub/fedora/linux/core/updates/6/i386/kernel-2.6.20-1.2952.fc6.i686.rpm

Install it ("rpm -ivh --oldpackage ..."), reboot into that kernel and report
back whether this makes a difference.
Comment 2 Nils Philippsen 2007-06-13 03:20:38 EDT
If the latest kernel of FC6 doesn't work, please try the first FC6 kernel as well:

http://download.fedora.redhat.com/pub/fedora/linux/core/6/i386/os/Fedora/RPMS/kernel-2.6.18-1.2798.fc6.i686.rpm
Comment 3 David 2007-06-13 04:29:31 EDT
I installed the fc6 latest kernel onto the F7 server.  Now the scanner works!

Can we get this bug put into fixing the F7 kernel?

Is the machine safe to use on the fc6 kernel until its fixed?

Thanks again!
Comment 4 Nils Philippsen 2007-06-13 04:53:37 EDT
I've changed the component to kernel. Whether the FC6 kernel is "safe" to use
with F7 userspace only the kernel maintainers can say (also depends on your
definition of "safe").
Comment 5 David 2007-06-14 20:03:34 EDT
Just an update. The new F7 kernel does NOT fix this issue. Can we get the fix into the next kernel asap.
Comment 6 Chuck Ebbert 2007-06-15 13:47:01 EDT
*** Bug 244155 has been marked as a duplicate of this bug. ***
Comment 7 David 2007-06-20 19:44:33 EDT
Any update or news on this?
Comment 8 Nils Philippsen 2007-06-21 06:13:02 EDT
David, please try whether updating to version 1.0.18-7.fc7 of sane-backends
(from updates-testing) helps.
Comment 9 David 2007-06-21 08:01:45 EDT
yum --enablerepo=updates-testing update sane-backends*

Updated both sane-backends and sane-backends-libs to version 1.0.18-7.fc7

But its still exactly the same.

Sane finds the scanner on starting up as previous version, but you hit scan and
it sits there like its unplugged :(

Sorry still the same.

 
Comment 10 Julian Grosskreutz 2007-06-21 11:16:30 EDT
Had the same problem. Picked up the info from somewhere that it is a USB
inactivity time-out problem.

Scanner Canon LIDE30
F7 on Dell Inspiron 6000, Intel 1,7 Ghz, 1024 MB, ATI X300 Mobile

temporary solution:
enable "scanbuttond" in services
-> keeps the USB connection to the scanner active

Not very reliable, but worked for 10 scans

Cheers, Julian
Comment 11 David 2007-06-21 18:30:09 EDT
Hi Julian,
I don't have a scan anything in services :( - saslauthd and next is sendmail

I hope it wont take too long to resolve this.  The new testing packages I tried
did not change the situation at all.  So the only package left is sane itself.

But as it works on the FC6 kernels, I suspect unless the libraries are played
with more to get around this, its going to be the kernel that needs fixing. 
Doesw not surprise me, I still got two servers that lock up on starting eth0
device and it locks the server, not even the caps and number lock can change. 
Only removing the reinserting the ethernet cable stops the lock up, so its not
like there are not bad bugs still in the kernel.
Comment 12 David 2007-06-30 23:45:42 EDT
Any updates or news on this?
Comment 13 Paul Thompson 2007-07-04 06:59:11 EDT
I have the same problem: black image. It was working in FC6.

However scanimage does work. I found the following email discussion helpful in 
beginning to understand the problem: 
http://lists.alioth.debian.org/pipermail/sane-devel/2007-April/019006.html

It might be caused by a mixture of usb suspend and incompatible compilations ???

Versions Installed on my system are:
kernel.i686 2.6.21-1.3228
libusb.i386 0.1.12-7
sane-backends.i386 1.0.18-6
sane-backends-libs.i386 1.0.18-6
sane-frontends.i386 1.0.14-3 
Comment 14 David 2007-07-04 19:11:02 EDT
Any version of FC6 kernel fixes the problem, so its definitely the kernel.

There are still bugs in the F7 kernel, so I am not surprised.  I still have two
machines that eth0 hangs on startup until you remove and reinsert the ethernet
cable, and magically like this fault use any FC6 jernel and fault is solved.

If you don't have FC6 install follow the comment #1 and you can force on the FC6
kernel.  You then can edit the /boot/grub/grub.conf and change the boot order so
the F7 kernel is default, but you can select the FC6 kernel is needed.

As this and other bugs still are in the kernel and there are none in testing, I
would not hold by breath waiting for a new kernel.

Comment 15 Paul Thompson 2007-07-05 05:29:21 EDT
adding "usbcore.autosuspend=0" without the quotes to the kernel line 
in /boot/grub/grub.conf of your fc7 kernel fixes the problem for me
Comment 16 Chuck Ebbert 2007-07-05 11:20:53 EDT
(In reply to comment #15)
> adding "usbcore.autosuspend=0" without the quotes to the kernel line 
> in /boot/grub/grub.conf of your fc7 kernel fixes the problem for me

autosuspend=0 will be the default in the next kernel.
Comment 17 Philip Moller 2007-07-11 07:03:27 EDT
[root@localhost ~]# lsusb
Bus 002 Device 001: ID 0000:0000  
Bus 001 Device 003: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20
Bus 001 Device 002: ID 046d:c218 Logitech, Inc. 
Bus 001 Device 001: ID 0000:0000

Same problem here. Scanner is a Canon LiDE 20.

Comment #15 From Paul Thompson helped very much, thanks. So, now it works !!!
But it's a quick fix, please fix the bug permanently..
So it wont be a problem in future Kernels and Fedora 8 also ...
Comment 18 David 2007-07-11 07:38:22 EDT
All,

Kernel 3255 is in updates-testing and fixes the problem :)

yum --enablerepo=updates-testing update kernel

Enjoy the fix :)
Comment 19 Nils Philippsen 2007-07-17 09:23:53 EDT
*** Bug 245825 has been marked as a duplicate of this bug. ***
Comment 20 David 2007-07-17 20:30:16 EDT
Well the new kernel in updates-testing now 2.6.22.1-20.fc7.i686.rpm completely
breaks the scanner.  When I start xsane it does not even detect the scanner at
all, it jumps into xsane (I have a USB video camera, so I normally get asked
what device I want to use).

Seems the kernel is not detecting all devices, when you get the gnome login
screen, I don't hear the 'beep' anymore.
Comment 21 Jonathan Kamens 2007-07-19 22:35:14 EDT
I have this problem with an Epson Perfection 2480 Photo scanner and devel kernel
2.6.23-0.30.rc0.git6.fc8.  Adding usbcore.autosuspend=0 to the kernel boot line
makes "scanimage --list" take forever, and when it does finally finish listing,
the Epson scanner isn't listed.  Without that on the kernel command line, as the
others have indicated, xsane doesn't work but scanimage works just fine.
Comment 22 David 2007-07-21 03:59:14 EDT
Well thanks to the wonderful new broken kernel-2.6.22.1-27.fc7 now xsane does
not even detect the scanner at all.

Rolled back to the wonderful 3255 and its all working again
Comment 23 Chuck Ebbert 2007-07-23 12:22:43 EDT
(In reply to comment #22)
> Well thanks to the wonderful new broken kernel-2.6.22.1-27.fc7 now xsane does
> not even detect the scanner at all.

This is a new bug. Nobody using USB devices tested the kernels in
updates-testing so now everyone gets to experience it. :(

See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=249272
Comment 24 Nils Philippsen 2007-07-24 03:38:32 EDT
*** Bug 249326 has been marked as a duplicate of this bug. ***
Comment 25 Jobst Hoffmann 2007-07-24 04:34:23 EDT
(in reply to comment #24)

The errors remain the same even with

Installed Packages
sane-backends.x86_64                     1.0.18-10.fc7          installed       
sane-backends-libs.x86_64                1.0.18-10.fc7          installed      

I also tried the tips from comment #10 and #15 (is that still needed in kernel
2.6.22.1-27.fc7 or is it the default as mentioned in comment #16?).
Comment 26 Nils Philippsen 2007-07-24 04:51:01 EDT
(In reply to comment #25)
> 
> I also tried the tips from comment #10 and #15 (is that still needed in kernel
> 2.6.22.1-27.fc7 or is it the default as mentioned in comment #16?).

AFAIK, the workarounds in #10 and #15 where obsoleted in a later testing kernel
version but new bugs have creeped in which render kernel
2.6.22.1-27.fc7 unable to access your scanner properly.
Comment 27 Chuck Ebbert 2007-07-24 10:40:01 EDT
kernel-2.6.22.1-33.fc7 is going into updates-testing soon. Would someone please
test this one?
Comment 28 Nils Philippsen 2007-07-24 10:44:40 EDT
Just so you people are aware of it -- even though I maintain the scanner
backends  I don't have USB hardware around that I can test, I've still got an
all-SCSI-shoppe ;-).
Comment 29 Jobst Hoffmann 2007-07-25 09:26:14 EDT
(In reply to comment #27)

I've just tested it with the following results:
- while booting there were several messages like
  "usb 7-2: device descriptor read/64, error -110"
- sane-find-scanner reports no scanner
Comment 30 Chuck Ebbert 2007-07-25 10:18:28 EDT
(In reply to comment #29)
> (In reply to comment #27)
> 
> I've just tested it with the following results:
> - while booting there were several messages like
>   "usb 7-2: device descriptor read/64, error -110"
> - sane-find-scanner reports no scanner

We need to see the messages.
Comment 31 Jobst Hoffmann 2007-07-25 15:24:48 EDT
Created attachment 159975 [details]
excerpt from /var/log/messages, booting with kernel 2.6.22.1-33.fc7
Comment 32 Chuck Ebbert 2007-07-25 16:47:48 EDT
I assume this is the scanner:

Jul 25 15:17:40 localhost kernel: usb 7-2: device descriptor read/64, error -110
Jul 25 15:17:55 localhost kernel: usb 7-2: device descriptor read/64, error -110
Jul 25 15:17:56 localhost kernel: usb 7-2: new high speed USB device using
ehci_hcd and address 5
Jul 25 15:18:01 localhost kernel: usb 7-2: device descriptor read/8, error -110
Jul 25 15:18:06 localhost kernel: usb 7-2: device descriptor read/8, error -110
Jul 25 15:18:06 localhost kernel: usb 7-2: new high speed USB device using
ehci_hcd and address 6
Jul 25 15:18:11 localhost kernel: usb 7-2: device descriptor read/8, error -110
Jul 25 15:18:16 localhost kernel: usb 7-2: device descriptor read/8, error -110

Comment 33 Chris Gordon 2007-07-25 22:13:28 EDT
I've experienced this problem with an Epson Perfection 2400 (usb).  In my case,
when I boot kernel-2.6.22.1-27.fc7 udev is not creating the link for
/dev/scanner-X as specified in /etc/udev/rules.d/60-libsane.rules (from
sane-backends-1.0.18-8.fc7).    Sane's "scanimage -L" does find and list the
scanner, though. Booting back to kernel-2.6.21-1.3228.fc7 resolves this and the
correct symlink is created in /dev.
Comment 34 Michal Jaegermann 2007-07-25 23:52:51 EDT
This is a question of permits but really another from a long list
of problems created by 2.6.22.1-27.fc7

When I boot 2.6.21-1.3228.fc7 and will turn on a scanner then a link
/dev/scanner-... (in the particular case I am looking at right now
this is /dev/scanner-usbdev5.4 -> /dev/bus/usb/005/004) is created.
Due to rules in /etc/security/console.perms.d/ this devices is now
read-write to, at least, "console owner" and 'scanimage -L' prints,
in my case

     device `epson:libusb:005:004' is a Epson GT-X700 flatbed scanner

and xsane does not have any problems.  This devices _have_ to be
writable or sane and xsane will not work.

After a boot into 2.6.22.1-27.fc there is no /dev/bus/ at all,
a link /dev/scanner-... is not created, permissions are not
modified, and scanner cannot be found  __unless__ you are a root.
'libsane' will go for a hunt in subdirectories of /proc/bus/usb/
and then it will recognize a scanner.  If you are not root then you
are SOL as default permissions on nodes in /proc/bus/usb/ are 644
with root:root for an owner and that is not good enough.

You will get the same problems with any USB device which requires
a write access to function.  Cameras?  Moreover default rules from
/etc/security/console.perms.d/ will make corresponding devices
to have 600 permissions instead of 644 but these will not happen
with 2.6.22.1-27.fc7 as those devices are not found by security
setup.  Surprise!

Assorted USB scanner bugs were closed as a duplicate of this one.
This is likely a mistake.  Summary says "... it detects it".
In problems created by 2.6.22.1-27.fc7 "it detects it" only
when you are a root but then a scanner works as well.
Comment 35 Nils Philippsen 2007-07-26 04:14:52 EDT
All, please update to sane-backends-1.0.18-12 from updates-testing (when
testing) as this one contains the now hopefully correct udev rules. Just to rule
our one source of potential errors.
Comment 36 Jobst Hoffmann 2007-07-26 06:03:57 EDT
I've just installed sane-backends-1.0.18-12, but the results are the same:

sane-find-scanner gives for root:
found USB scanner (vendor=0x04b8 [EPSON], product=0x0121 [EPSON Scanner]) at
libusb:007:003

scanimage -L gives for root:
device `snapscan:libusb:007:003' is a EPSON EPSON Scanner1 flatbed scanner

sane-find-scanner gives another result for a common user:
found USB scanner (vendor=0x04b8, product=0x0121) at libusb:007:003

scanimage -L gives another result for a common user:
No scanners were identified.
Comment 37 Jobst Hoffmann 2007-07-26 06:19:21 EDT
One more note:

before I didn't try to scan, however (as root):
- scanimage > /tmp/scan.pbm gives:
scanimage: open of device snapscan:libusb:007:003 failed: Access to resource has
been denied
- xsane produces (obviously) produces the same message
Comment 38 Nils Philippsen 2007-07-26 07:41:41 EDT
(In reply to comment #37)
> scanimage: open of device snapscan:libusb:007:003 failed: Access to resource has
> been denied

Are the file permissions on the device file correct and is the symlink to it
(/dev/scanner-*) installed?

Comment 39 Jobst Hoffmann 2007-07-26 08:42:39 EDT
No and yes.

 ls -l /dev/scanner-* /dev/7-2 gives:
crw------- 1 root root 189, 770 26. Jul 14:38 /dev/7-2
lrwxrwxrwx 1 root root        3 26. Jul 14:38 /dev/scanner-7-2 -> 7-2
Comment 40 Chuck Ebbert 2007-07-26 13:56:19 EDT
We know kernel-2.6.22.1-1.27 is broken.
Would people please test 2.6.22.1-1.33 instead?
Comment 41 Michal Jaegermann 2007-07-26 17:33:19 EDT
> Would people please test 2.6.22.1-1.33 instead?

After booting with 2.6.22.1-1.33 I can see back /dev/bus/usb,
there is a link /dev/scanner-* like with 2.6.21-1.3228.fc7,
permissions and ownership are like expected, and my scanner works
again even without replacing sane-backends with those from "testing".
Comment 42 David 2007-07-26 19:29:53 EDT
There is still a weird anomoly with all 2.6.22.1-x kernels. Yes while
2.6.22.1-1.33 the scanner works, when I boot the machine and get to the gnome
login screen user selection, the PC speaker always 'beeps', its always done this
except on all these 2.6.22 kernels.

I still think there is something amiss in these kernels that bears closer
investigation.

FC6 kernels also you get a 'beep' on the login screen.

Something else has a permission issue.
Comment 43 Jobst Hoffmann 2007-07-27 05:35:39 EDT
For me the situation is (nearly) unchanged:

1) the machine boots now without usb error messages

uname -r gives:
2.6.22.1-33.fc7

(I can't find the 2.6.22.1-1.33 kernel)
                           ^^
2) the permissions are (from ls -l /dev/scanner-* /dev/7-2):

crw------- 1 root root 189, 770 27. Jul 10:00 /dev/7-2
lrwxrwxrwx 1 root root        3 27. Jul 10:00 /dev/scanner-7-2 -> 7-2

3) the scanner is initialized and partly seen and is working just once
for root:
# sane-find-scanner
...
found USB scanner (vendor=0x04b8 [EPSON], product=0x0121 [EPSON Scanner]) at
libusb:007:003

#scanimage -L
device `snapscan:libusb:007:003' is a EPSON EPSON Scanner1 flatbed scanner

# scanimage > /tmp/scan.pbm
scanimage: open of device snapscan:libusb:007:003 failed: Access to resource has
been denied

# scanimage > /tmp/scan.pbm
[snapscan] Scanner warming up - waiting 8 seconds.
[snapscan] Scanner warming up - waiting 8 seconds.

# scanimage > /tmp/scan.pbm
scanimage: no SANE devices found

# scanimage > /tmp/scan.pbm
scanimage: open of device snapscan:libusb:007:003 failed: Access to resource has
been denied

4) as a common user I can't use the scanner:
$ sane-find-scanner
...
found USB scanner (vendor=0x04b8, product=0x0121) at libusb:007:003
...
$ scanimage -L

No scanners were identified. 

BTW: I've used 
sane-backends.x86_64                     1.0.18-12.fc7          installed       
sane-backends-libs.x86_64                1.0.18-12.fc7          installed 
Comment 44 Michal Jaegermann 2007-07-27 11:36:11 EDT
> (I can't find the 2.6.22.1-1.33 kernel)

I think this is a typo which got a "paste-and-copy" treatment
from a report to a report.  'uname -r' actually says for me
2.6.22.1-33.fc7.

> 2) the permissions are (from ls -l /dev/scanner-* /dev/7-2):
> 
> crw------- 1 root root 189, 770 27. Jul 10:00 /dev/7-2
> lrwxrwxrwx 1 root root        3 27. Jul 10:00 /dev/scanner-7-2 -> 7-2

What do you have in /etc/security/console.perms.d/50-default.perms
about scanner?  Unless you are overriding that somewhere else.
If you will log first as 'root' then it "owns" a console and
ownership/permissions on your scanner device will be as you show.
Those will remain as above until you will log on some other account
_after_ you logged out as root and a scanner will be of a limited use.
Just another login, while the "current console owner" stays, does not
help.

If what you quote stays all the time that seem to point to troubles
with your 'pam' or 'ConsoleKit'.
Comment 45 dominique 2007-07-28 00:59:44 EDT
***INFORMATION***INFORMATION***

I have an Epson Dx 5050 and my scanner work perfectly with kernel 22.6.21
But with 2.6.22.1-1.27 and 2.6.22.1-1.33 he work in root but not in user
(scanner not found...)
 I think it is a permission's problem...
Comment 46 cornel panceac 2007-07-28 01:20:42 EDT
i've tested with 2.6.22-1.33 and xsane+canon lide 20 worked, but: first time
i've booted with this kernel, i've made an error while typin my password and gdm
freezed, second time, after i've tested xsane, i've noticed clock was freezed
(on logout, the message "your session lasted less than 10 seconds" appeared, and
x stopped and never restarted, so i have reasons to believe it will never be a
default kernel for me :) )
Comment 47 dominique 2007-07-28 15:04:39 EDT
I have a temporary solution for this problem (scanner work with root but not
with user)

Create a new group named scanner and add your user in
edit the /etc/udev/rules.d/60-libsane.rules files and add a new line

#name of your scanner
SYSFS{idVendor}=="xxxx", SYSFS{idProduct}=="xxxx", MODE="664",

remplace xxxx by the IdVendor and IdProduct of your own scanner (found with the
command lsusb)
Comment 48 dominique 2007-07-28 15:09:03 EDT
(In reply to comment #47)
> I have a temporary solution for this problem (scanner work with root but not
> with user)
> 
> Create a new group named scanner and add your user in
> edit the /etc/udev/rules.d/60-libsane.rules files and add a new line
> 
> #name of your scanner
> SYSFS{idVendor}=="xxxx", SYSFS{idProduct}=="xxxx", MODE="664",  GROUP="scanner"
> 
> remplace xxxx by the IdVendor and IdProduct of your own scanner (found with the
> command lsusb)

Comment 49 dominique 2007-07-28 15:12:55 EDT
I take a mistake in reply 47... sorry... the good  is the 48 reply
Comment 50 Kevin R. Page 2007-07-31 13:37:06 EDT
Might be worth checking for selinux warnings - whilst trying to debug a separate
scanner issue only root could access the scanner with the current F7 kernel and
sane-backends-1.0.18-12.

I pretty sure there was an selinux denial for that USB device (sorry, no log,
was using VNC remotely... and the scanner is bust for other reasons).
Comment 51 David 2007-08-01 03:01:49 EDT
Today kernel-2.6.22.1-41.fc7 was released.

It seems okay for me - so far.

However my PC speaker still does not 'beep' when gnome pops me to the login screen.
Comment 52 Chuck Ebbert 2007-08-01 10:32:33 EDT
(In reply to comment #51)
> Today kernel-2.6.22.1-41.fc7 was released.
> 
> It seems okay for me - so far.
> 
> However my PC speaker still does not 'beep' when gnome pops me to the login
screen.

That is Bug 249124.

Comment 53 Jonathan Kamens 2007-08-01 22:50:57 EDT
Is this fixed in devel as well?  I was using a devel kernel when I had this
problem.  Unfortunately I can't test whether it's fixed in the current devel
kernel (I've got 2.6.23-0.49.rc1.git3.fc8) because xsane is coredumping on me. 
I'll file a separate bug about that.
Comment 54 Paul Thompson 2007-08-02 06:36:28 EDT
Installed kernel 2.6.22.1-41 and scanner works as expected.

NB The default installation of the kernel kept the usbcore.autosuspend=0 from 
the previous version. This new kernel had the same problem as I reported before 
(scanner not actually scanning & black screen) until I manually removed the usb 
suspend flag. 
Comment 55 dominique 2007-08-03 00:58:27 EDT
there is the same bug with kernel 2.6.22.1-41
scanner work in root but not in user
Comment 56 Nils Philippsen 2007-08-03 01:23:04 EDT
(In reply to comment #55)
> there is the same bug with kernel 2.6.22.1-41
> scanner work in root but not in user

which version of sane-backends do you have?
Comment 57 Michal Jaegermann 2007-08-03 12:56:47 EDT
> scanner work in root but not in user

What do you see if you will try to type in a terminal window

   ls -l $( readlink -m /dev/scan* )

On a "straight out of a box" F7 installation I get somethning like

crw------- 1 <user> root 189, 1 2007-07-31 20:47 /dev/bus/usb/001/002

where "<user>" means an account which owns console.  Do you have,
by any chance, active another login which grabbed console ownership
first?
Comment 58 dominique 2007-08-03 15:46:53 EDT
I have a soluce, but my english is very bad...
I try to explain ...
With kernel 2.6.21 i haved in /etc/udev/rules.d/60-libsane.rules:

#EPSON Stylus DX5050
SYSFS{idVendor}=="04b8", SYSFS{idProduct}=="082b", SYMLINK+="scanner-%k"

but with kernel 2.6.22 I have:

#EPSON Stylus DX5050
ATTR{idVendor}=="04b8", ATTR{idProduct}=="082b", SYMLINK+="scanner-%k"

I remplace this two line by the lines of kernel 2.6.21 and now my scanner work
in user and in root
But I don't know why...

@Nils Philippsen: my version of sane-backends is: sane-backends-1.0.18-12.fc7

Comment 59 Michal Jaegermann 2007-08-03 16:16:16 EDT
> With kernel 2.6.21 i haved in /etc/udev/rules.d/60-libsane.rules:

'rpm -qf /etc/udev/rules.d/60-libsane.rules' shows that this file
does not belong to 'kernel' but to 'sane-backends'.

> my version of sane-backends is: sane-backends-1.0.18-12.fc7

Apparently this is what is broken.
Comment 60 dominique 2007-08-04 00:59:27 EDT
the sane-backends-1.0.18-12.fc7 is tha latest version I find with
yum-update...Can I down-grade to sane-backends-1.0.18-6.fc7 or
sane-backends-1.0.18-8.fc7?
Comment 61 Nils Philippsen 2007-08-04 04:00:34 EDT
(In reply to comment #58)
> I have a soluce, but my english is very bad...
> I try to explain ...
> With kernel 2.6.21 i haved in /etc/udev/rules.d/60-libsane.rules:
> 
> #EPSON Stylus DX5050
> SYSFS{idVendor}=="04b8", SYSFS{idProduct}=="082b", SYMLINK+="scanner-%k"
> 
> but with kernel 2.6.22 I have:
> 
> #EPSON Stylus DX5050
> ATTR{idVendor}=="04b8", ATTR{idProduct}=="082b", SYMLINK+="scanner-%k"
> 
> I remplace this two line by the lines of kernel 2.6.21 and now my scanner work
> in user and in root
> But I don't know why...

I made changes to the udev rules because there have been changes in udev, see
bug #249030 and bug #244444 -- but it may just be that I implemented them
poorly. Please try if changing "ATTR{...}=..." to "ATTRS{...}=..." helps so that
it looks like this:

#EPSON Stylus DX5050
ATTS{idVendor}=="04b8", ATTRS{idProduct}=="082b", SYMLINK+="scanner-%k"

Thanks.
Comment 62 dominique 2007-08-04 15:13:58 EDT
(In reply to comment #61)
With change ATTR in ATTRS the scanner dont work,(device not reconized), neither
in user or in root...
I stay with this lines:
 #EPSON Stylus DX5050
SYSFS{idVendor}=="04b8", SYSFS{idProduct}=="082b", SYMLINK+="scanner-%k"

both (user and root) work
Comment 63 dominique 2007-08-04 15:28:08 EDT
I am sorry , I have forgotten to start my scanner... (reply 62 is not good...)
With ATTRS my scanner work in user and in root...
Thank...
Comment 64 dominique 2007-08-05 11:47:51 EDT
hello every boby...
For my all-in-one Epson Stylus DX5050...
There is another problem... with ATTRS scanner work but my printer don't work...
I think that sane-backends-1.0.18-12.fc7 from updates-testing is bugged
I have down-graded sane-backend to 1.0.18-8.fc7 version and now all work
(scanner and printer)
Comment 65 Nils Philippsen 2007-08-08 09:50:42 EDT
Unfortunately the way how the kernel addresses the devices in udev has changed
again. I've just built sane-backends-1.0.18-14.fc7 which contains udev rules
that should be able to cope with both flavours. Please test once it reaches
updates-testing.
Comment 66 dominique 2007-08-08 12:34:51 EDT
OK...
I will test sane-backends-1.0.18-14.fc7 when it will be on updates-testing
Comment 67 dominique 2007-08-09 02:59:03 EDT
Hello Nils
I have take your sane-backends-1.0.18-14.fc7 and
sane-backends-libs-1.0.18-14.fc7 from Koji
Both work, and the scanner and the printer of my Epson stylus DX5050 perfectly work
Comment 68 Jobst Hoffmann 2007-08-14 13:21:23 EDT
I've just installed sane-backends-libs-1.0.18-14.fc7 and 
sane-backends-1.0.18-14.fc7 and my scanner (Epson Perfection 2480 Photo) works
perfectly!

Thank you all for your good work!
Comment 69 cornel panceac 2007-09-04 10:24:01 EDT
$ uname -r
2.6.22.4-65.fc7
$ rpm -q udev
udev-113-11.fc7

xsane is again scanning only a black box. scanner is canon lide20. imho bug
should be reopened.

Note You need to log in before you can comment on or make changes to this bug.